from django.conf.urls.defaults import *
from django.conf import settings
from django.views.generic.simple import direct_to_template

import os.path

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('',
    # Example:
    # (r'^scipy/', include('scipy.foo.urls')),

    # Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
    # to INSTALLED_APPS to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # (r'^admin/', include(admin.site.urls)),
    url (r'^$', 'conference.views.home'),
    (r'^accounts/', include('registration.urls')),
    (r'^register/','conference.views.register'),
    (r'^logout/','conference.views.logout'),
    (r'^regthank/(?P<id>\d+)/$', 'conference.views.regthank'),
    (r'^site-content/(?P<path>.*)$', 'django.views.static.serve', {'document_root': settings.MEDIA_ROOT}),
)
